package cn.com.countrygarden.bi.main.dto.investment;

import java.io.Serializable;
import java.math.BigDecimal;

import cn.com.countrygarden.bi.main.model.investment.InvestProjectInvestment;

public class InvestProjectInvestmentVo implements Serializable {
	/**
	 * 项目-资金池（项目收益）小计=项目-资金池（利润分配）小计
	 */
	private BigDecimal incomeCapitalTotal;
	/**
	 * 项目-单独资金账户（项目收益）小计=项目-单独资金账户（利润分配）小计
	 */
	private BigDecimal incomeCapitalAccountTotal;
	
	/**
	 * 项目-资金池（已发放项目收益）小计
	 * 
	 * @return
	 */
	private BigDecimal issuedIncomeCapitalTotal;
	/**
	 * 项目-单独资金账户(已发放项目收益)小计
	 * 
	 * @return
	 */
	private BigDecimal issuedIncomeCapitalAccountTotal;
	/**
	 * 项目总跟投金额（项目跟投情况）小计
	 */

	private BigDecimal projectFollowTotalCapitalTotal;
	
	/**
	 * 项目-资金池跟投金额（项目跟投情况）小计
	 */
	private BigDecimal projectFollowCapitalTotal;
	/**
	 * 项目-独资金跟投金额（项目跟投情况）小计
	 */
	private BigDecimal projectFollowSingleCapitalTotal;
	/**
	 * 项目-阶段性返还金额（阶段性返还）小计
	 */
	private BigDecimal cashReturnMoneyTotal;
	/**
	 * 项目-资金池（阶段性返还）小计
	 * @return
	 */
	private BigDecimal cashReturnCapitalTotal;
	
    /**
     * 项目-单独资金账户（阶段性返还）小计
     * @return
     */
	
	private BigDecimal cashReturnCapitalAccountTotal;
	/**
	 * 项目-本金返还金额（本金返还）小计
	 */
    private BigDecimal principalReturnMoneyTotal;
	/**
	 * 项目-本金返还-资金池小计
	 * @return
	 */
	
	private BigDecimal principalReturnCapitalTotal;
	
	/**
	 * 项目-单独资金账户（本金返还）
	 * @return
	 */
	private BigDecimal principalReturnCapitalAccountTotal;
	
	/**
	 * 项目-资金池（利润分配）小计
	 */
	private BigDecimal profitDistributionCapitalTotal;

	/**
	 * 项目-单独资金账户（利润分配）小计
	 * 
	 * @return
	 */

	private BigDecimal profitDistributionCapitalAccountTotal;
	/**
	 * 项目-资金池（本金未收回）小计
	 * @return
	 */

	private BigDecimal principalNotrecoveredCapitalTotal;
	
	/**
	 * 项目-单独资金账户（本金未收回）小计
	 */
	private BigDecimal principalNotrecoveredCapitalAccount;
	
	/**
	 * 项目-资金池（理财收益）小计
	 * @return
	 */
	
	private BigDecimal financialIncomeCapitalTotal;
	/**
	 * 项目-单独资金账户（理财收益）小计
	 */
	
	private BigDecimal financialIncomeCapitalAccountTotal;
	public BigDecimal getIncomeCapitalTotal() {
		if(incomeCapitalTotal==null) {
			return incomeCapitalTotal=new BigDecimal(0);
		}
		return incomeCapitalTotal;
	}
	public void setIncomeCapitalTotal(BigDecimal incomeCapitalTotal) {
		this.incomeCapitalTotal = incomeCapitalTotal;
	}
	public BigDecimal getIncomeCapitalAccountTotal() {
		if(incomeCapitalAccountTotal==null) {
			return incomeCapitalAccountTotal=new BigDecimal(0);
		}
		return incomeCapitalAccountTotal;
	}
	public void setIncomeCapitalAccountTotal(BigDecimal incomeCapitalAccountTotal) {
		this.incomeCapitalAccountTotal = incomeCapitalAccountTotal;
	}
	public BigDecimal getIssuedIncomeCapitalTotal() {
		if(issuedIncomeCapitalTotal==null) {
			return issuedIncomeCapitalTotal=new BigDecimal(0);
		}
		return issuedIncomeCapitalTotal;
	}
	public void setIssuedIncomeCapitalTotal(BigDecimal issuedIncomeCapitalTotal) {
		this.issuedIncomeCapitalTotal = issuedIncomeCapitalTotal;
	}
	public BigDecimal getIssuedIncomeCapitalAccountTotal() {
		if(issuedIncomeCapitalAccountTotal==null) {
			return issuedIncomeCapitalAccountTotal=new BigDecimal(0);
		}
		return issuedIncomeCapitalAccountTotal;
	}
	public void setIssuedIncomeCapitalAccountTotal(BigDecimal issuedIncomeCapitalAccountTotal) {
		this.issuedIncomeCapitalAccountTotal = issuedIncomeCapitalAccountTotal;
	}
	public BigDecimal getProjectFollowTotalCapitalTotal() {
		if(projectFollowTotalCapitalTotal==null) {
			return projectFollowTotalCapitalTotal=new BigDecimal(0);
		}
		return projectFollowTotalCapitalTotal;
	}
	public void setProjectFollowTotalCapitalTotal(BigDecimal projectFollowTotalCapitalTotal) {
		this.projectFollowTotalCapitalTotal = projectFollowTotalCapitalTotal;
	}
	public BigDecimal getProjectFollowCapitalTotal() {
		if(projectFollowCapitalTotal==null) {
			return projectFollowCapitalTotal=new BigDecimal(0);
		}
		return projectFollowCapitalTotal;
	}
	public void setProjectFollowCapitalTotal(BigDecimal projectFollowCapitalTotal) {
		this.projectFollowCapitalTotal = projectFollowCapitalTotal;
	}
	public BigDecimal getProjectFollowSingleCapitalTotal() {
		if(projectFollowSingleCapitalTotal==null) {
			return projectFollowSingleCapitalTotal=new BigDecimal(0);
		}
		return projectFollowSingleCapitalTotal;
	}
	public void setProjectFollowSingleCapitalTotal(BigDecimal projectFollowSingleCapitalTotal) {
		this.projectFollowSingleCapitalTotal = projectFollowSingleCapitalTotal;
	}
	public BigDecimal getCashReturnMoneyTotal() {
		if(cashReturnMoneyTotal==null) {
			return cashReturnMoneyTotal=new BigDecimal(0);
		}
		return cashReturnMoneyTotal;
	}
	public void setCashReturnMoneyTotal(BigDecimal cashReturnMoneyTotal) {
		this.cashReturnMoneyTotal = cashReturnMoneyTotal;
	}
	public BigDecimal getCashReturnCapitalTotal() {
		if(cashReturnCapitalTotal==null) {
			return cashReturnCapitalTotal=new BigDecimal(0);
		}
		return cashReturnCapitalTotal;
	}
	public void setCashReturnCapitalTotal(BigDecimal cashReturnCapitalTotal) {
		this.cashReturnCapitalTotal = cashReturnCapitalTotal;
	}
	public BigDecimal getCashReturnCapitalAccountTotal() {
		if(cashReturnCapitalAccountTotal==null) {
			return cashReturnCapitalAccountTotal=new BigDecimal(0);
		}
		return cashReturnCapitalAccountTotal;
	}
	public void setCashReturnCapitalAccountTotal(BigDecimal cashReturnCapitalAccountTotal) {
		this.cashReturnCapitalAccountTotal = cashReturnCapitalAccountTotal;
	}
	public BigDecimal getPrincipalReturnMoneyTotal() {
		if(principalReturnMoneyTotal==null) {
			return principalReturnMoneyTotal=new BigDecimal(0);
		}
		return principalReturnMoneyTotal;
	}
	public void setPrincipalReturnMoneyTotal(BigDecimal principalReturnMoneyTotal) {
		this.principalReturnMoneyTotal = principalReturnMoneyTotal;
	}
	public BigDecimal getPrincipalReturnCapitalTotal() {
		if(principalReturnCapitalTotal==null) {
			return principalReturnCapitalTotal=new BigDecimal(0);
		}
		return principalReturnCapitalTotal;
	}
	public void setPrincipalReturnCapitalTotal(BigDecimal principalReturnCapitalTotal) {
		this.principalReturnCapitalTotal = principalReturnCapitalTotal;
	}
	public BigDecimal getPrincipalReturnCapitalAccountTotal() {
		if(principalReturnCapitalAccountTotal==null) {
			return principalReturnCapitalAccountTotal=new BigDecimal(0);
		}
		return principalReturnCapitalAccountTotal;
	}
	public void setPrincipalReturnCapitalAccountTotal(BigDecimal principalReturnCapitalAccountTotal) {
		this.principalReturnCapitalAccountTotal = principalReturnCapitalAccountTotal;
	}
	public BigDecimal getProfitDistributionCapitalTotal() {
		if(profitDistributionCapitalTotal==null) {
			return profitDistributionCapitalTotal=new BigDecimal(0);
		}
		return profitDistributionCapitalTotal;
	}
	public void setProfitDistributionCapitalTotal(BigDecimal profitDistributionCapitalTotal) {
		this.profitDistributionCapitalTotal = profitDistributionCapitalTotal;
	}
	public BigDecimal getProfitDistributionCapitalAccountTotal() {
		if(profitDistributionCapitalAccountTotal==null) {
			return profitDistributionCapitalAccountTotal=new BigDecimal(0);
		}
		return profitDistributionCapitalAccountTotal;
	}
	public void setProfitDistributionCapitalAccountTotal(BigDecimal profitDistributionCapitalAccountTotal) {
		this.profitDistributionCapitalAccountTotal = profitDistributionCapitalAccountTotal;
	}
	public BigDecimal getPrincipalNotrecoveredCapitalTotal() {
		if(principalNotrecoveredCapitalTotal==null) {
			return principalNotrecoveredCapitalTotal=new BigDecimal(0);
		}
		return principalNotrecoveredCapitalTotal;
	}
	public void setPrincipalNotrecoveredCapitalTotal(BigDecimal principalNotrecoveredCapitalTotal) {
		this.principalNotrecoveredCapitalTotal = principalNotrecoveredCapitalTotal;
	}
	public BigDecimal getPrincipalNotrecoveredCapitalAccount() {
		if(principalNotrecoveredCapitalAccount==null) {
			return principalNotrecoveredCapitalAccount=new BigDecimal(0);
		}
		return principalNotrecoveredCapitalAccount;
	}
	public void setPrincipalNotrecoveredCapitalAccount(BigDecimal principalNotrecoveredCapitalAccount) {
		this.principalNotrecoveredCapitalAccount = principalNotrecoveredCapitalAccount;
	}
	public BigDecimal getFinancialIncomeCapitalTotal() {
		if(financialIncomeCapitalTotal==null) {
			return financialIncomeCapitalTotal=new BigDecimal(0);
		}
		return financialIncomeCapitalTotal;
	}
	public void setFinancialIncomeCapitalTotal(BigDecimal financialIncomeCapitalTotal) {
		this.financialIncomeCapitalTotal = financialIncomeCapitalTotal;
	}
	public BigDecimal getFinancialIncomeCapitalAccountTotal() {
		if(financialIncomeCapitalAccountTotal==null) {
			return financialIncomeCapitalAccountTotal=new BigDecimal(0);
		}
		return financialIncomeCapitalAccountTotal;
	}
	public void setFinancialIncomeCapitalAccountTotal(BigDecimal financialIncomeCapitalAccountTotal) {
		this.financialIncomeCapitalAccountTotal = financialIncomeCapitalAccountTotal;
	}
	
	
	
	

}
